@media screen and (max-width: 800px) {
  article {
    flex-direction: column;
  }

  article main {
    margin-top: 0px !important;
  }

  section > ul {
    padding: 0;
  }

  aside {
    width: 100% !important;
  }

  aside section {
    margin: 0 0 0 10px !important;
  }
}

@media screen and (max-width: 600px) {
  .top-info {
    flex-direction: column;
    justify-content: space-around !important;
    height: 100%;
    max-height: 100% !important;
    .item-title {
      max-height: 100% !important;
    }
    .item-date {
      text-align: left !important;
    }
  }

  .preamble-container {
    display: none !important;
  }
}

body {
  margin: 0;
  overflow: hidden;
}

span {
  font-family: Arial, Helvetica, sans-serif;
}

article {
  width: 100%;
  height: 100vh;
  display: flex;

  aside {
    width: 200px;

    section {
      position: relative;
      height: 80px;
      margin: 80px 0 0 10px;
      display: flex;
      flex-direction: column;
      justify-content: center;

      .checkbox-container {
        display: flex;
        flex-direction: column;
      }
    }
  }

  main {
    min-width: 300px;
    width: 100%;
    height: 100%;
    margin-top: 80px;

    section {
      width: 100%;
      height: 100%;

      #main-content-msg-container {
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        > span {
          padding: 10px;
          background-color: #f2f2f2;
          border: 1px solid;
          border-radius: 10px;
        }
      }

      ul {
        margin: 0;
        padding: 0;
        list-style-type: none;
        height: calc(100vh - 80px);
        width: 100%;
        overflow: auto;

        li {
          margin: 10px 10px 20px;

          .list-item-container {
            display: flex;
            width: 100%;
            border: 2px solid #f3f3f3;
            border-radius: 10px;
            min-width: 400px;
            height: 200px;

            .image-container {
              min-width: 200px;
              width: 200px;
              height: 100%;
              display: flex;
              align-content: center;
              margin-left: 10px;

              img {
                max-width: 100%;
                max-height: 100%;
                object-fit: contain;
              }
            }

            .text-container {
              display: flex;
              flex-direction: column;
              justify-content: space-around;
              width: 100%;
              padding: 20px 10px;

              .top-info {
                width: 100%;
                display: flex;
                justify-content: space-between;
                max-height: 90px;

                .item-title {
                  font-weight: bold;
                  max-height: 38px;
                  overflow: hidden;
                }

                .item-date {
                  min-width: 120px;
                  text-align: right;
                }
              }

              .preamble-container {
                margin: 5px 0;
                width: 100%;
                display: inline-block;
                overflow: hidden;
                min-height: 60px;

                span {
                  display: inline;
                  margin: 10px 0;
                  padding-right: 120px;
                }
              }
            }
          }
        }
      }
    }
  }

  #sort-container {
    right: 10px;
    position: absolute;
    height: 80px;
    width: 140px;

    section {
      height: 100%;
      display: flex;
      align-items: center;

      .arrows-container {
        margin: 4px;
        .arrow-btn {
          margin: 2px;
          cursor: pointer;
          width: 0;
          height: 0;
          border-left: 10px solid transparent;
          border-right: 10px solid transparent;
        }
        #arrow-up {
          border-bottom: 10px solid black;
          &:hover {
            border-bottom: 10px solid #7a7a7a;
          }
        }

        #arrow-down {
          border-top: 10px solid black;
          &:hover {
            border-top: 10px solid #7a7a7a;
          }
        }
      }
    }
  }
}
